<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DP Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <script src="plugins/select2/js/select2.full.min.js"></script>

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="contactus.css">

</head>
<style>
  :root {
    --direction: -45deg;
  }
  
  body {
    margin: 0;
    padding: 0;
  }
  
  main {
    position: relative;
  }
  
  .main-effect {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 550px;
    background-size: cover;
    background-repeat: none;
  }
  
  .background {
    background-image: url(images/home2.jpg);
  }
  
  .foreground {
    background-image: url(images/home3.jpg);
    -webkit-mask-image: linear-gradient(var(--direction), rgb(0, 0, 0) 40%, rgba(0, 0, 0, 0) 60%);
            mask-image: linear-gradient(var(--direction), rgb(0, 0, 0) 40%, rgba(0, 0, 0, 0) 60%);
    -webkit-mask-position: 50% 50%;
            mask-position: 50% 50%;
  }
  
  </style>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img src="images/logonhaxinh.jpg" id="logoimg"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-slideshow-example" href="#">HOME</a></li>
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">CHI TIẾT BĐS</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
            href="#">TIỆN ÍCH</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
            href="#">LIÊN HỆ</a></li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <p id="ten-dang-nhap" style="font-family: Arial, Helvetica, sans-serif"></p>
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- 2. Slide body -->
  <div class="container-fluid pt-5 mt-4" id="slideshow-example" style="height: 450px;">
    <div class="row">
      <main id="main" class="container-fluid">
        <div class="background main-effect"></div>
        <div class="foreground main-effect"></div>
      </main> 
    </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar mt-5 pt-5" id="property-content">
    <div class="container py-5 mt-5 pt-5">
      <div class="text-center mb-5">
        <h1 class="title-text-color text-center border-top p-3" style="font-family: Courier New;"><b>Chi tiết căn hộ</b></h1>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tiêu đề tin</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-title" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tỉnh thành</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-province" class="form-control select2bs4">
                  <option value="0" hidden>--Tên tỉnh thành--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Quận Huyện</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-district" class="form-control select2bs4" disabled>
                  <option value="0" hidden>--Tên quận huyện--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Dự án xây dựng</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-project" class="form-control">
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại tin</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-type" class="form-control">
                  <option value="0">Đất</option>
                  <option value="1">Nhà ở</option>
                  <option value="2">Căn hộ/ Chung cư</option>
                  <option value="3">Văn phòng, mặt bằng</option>
                  <option value="4">Kinh doanh</option>
                  <option value="5">Phòng trọ</option>
                </select>
              </div>
            </div>

            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá đăng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-price" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá tối thiểu</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-priceMin" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Thời gian bán</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-priceTime" type="number" class="form-control">
              </div>
            </div>
          </div>

          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Địa chỉ <i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-address" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Phường Xã</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-ward" class="form-control select2bs4" disabled>
                  <option value="0">--Tên Phường Xã--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Đường phố</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-street" class="form-control select2bs4" disabled>
                  <option value="0">--Tên Đường phố--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Khách hàng</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-customer" class="form-control select2bs4">
                  <option value="0" hidden>--Customer--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Nhân viên <i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-employee" class="form-control" disabled>
                  <option value="0" hidden>--Employee--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Nhu cầu</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-request" class="form-control">
                  <option value="0">Cần bán</option>
                  <option value="2">Cần mua</option>
                  <option value="3">Cho thuê</option>
                  <option value="4">Cần thuê</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá cho thuê</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-priceRent" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Trạng thái</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-status" class="form-control" disabled>
                  <option value="N">Chưa duyệt</option>
                </select>
              </div>
            </div>

          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 1</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Diện tích BĐS</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-acreage" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hướng nhà</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-direction" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tổng số tầng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-totalFloors" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tầng số</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-numberFloors" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Diện tích tim tường</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-wallArea" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Vị trí căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-apartLoca" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại nội thất</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-furnitureType" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Mã căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-apartCode" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số nhà vệ sinh</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-bath" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số phòng ngủ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-bedroom" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Ban công</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-balcony" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hướng cảnh quan</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-landscapeView" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-apartType" type="number" class="form-control">
              </div>
            </div>
          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 2</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tỉ suất sinh lời</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-returnRate" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giấy tờ pháp lý</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-legalDoc" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Chiều rộng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-widthY" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Chiều dài</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-longX" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>FSBO</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-fsbo" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Cập nhật bởi</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-updateBy" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Mô tả chi tiết</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-description" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Street House</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-streetHouse" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số lượt xem</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-viewNum" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hình dáng nhà</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-shape" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Khoảng cách ra mặt tiền</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-distance2facade" type="number" class="form-control">
              </div>
            </div>


          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 3</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số mặt tiền tiếp giáp</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-adjacent_facade_num" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Độ rộng hẻm nhỏ nhất</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-alley_min_width" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Độ rộng hẻm tiếp giáp</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-adjacent_alley_min_width" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>DTSXD</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-dtsxd" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>CLCL</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-clcl" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>CTXD_price</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-ctxd_price" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>CTXD_value</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-ctxd_value" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Đường tiếp giáp bê tông</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-adjacentRoad" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Yếu tố khác</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-factor" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Kết cấu</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-structure" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Kinh độ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-lng" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Vĩ độ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-lat" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Ảnh</label>
              </div>
              <div class="col-md-8 form-group">
                <input type="file" id="update-input-photo" name="filename">
              </div>
            </div>


          </div>
        </div>
        <div class="form-group text-center">
          <button class="btn btn-primary" id="btn-update-confirm">Confirm</button>
          <button class="btn btn-secondary" id="btn-update-cancel">Cancel</button>
        </div>


      </div>
    </div>
  </div>



  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h1 class="title-text-color text-center mb-5" style="font-family: Courier New;"><b>Nội thất chuẩn 5 sao châu âu</b></h1>
    <div class="row">
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators1" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators1" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="3"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="4"></li>
            <!-- <li data-target="#carouselExampleIndicators1" data-slide-to="5"></li> -->
            <li data-target="#carouselExampleIndicators1" data-slide-to="6"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/feat1.jpg" alt="First slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat2.jpg" alt="Second slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat3.jpg" alt="Third slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat4.jpg" alt="Forth slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat5.jpg" alt="Fifth slide" width="100%">
            </div>
            <!-- <div class="carousel-item">
              <img class="d-block w-100" src="images/feat6.jpg" alt="Sixth slide" width="100%">
            </div> -->
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat7.jpg" alt="Seventh slide" width="100%">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators1" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators1" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
      <div class="col-sm-4" style="background-color: rgb(206, 239, 244);">
        <h5 class="mt-4 text-left" style="color: rgb(218 180 39);">PHONG CÁCH TỐI GIẢN:</h5>
        <p class="mb-2">Là một trong số các phong cách được yêu thích nhất mọi thời đại, phong cách tối giản sẽ khiến không gian văn phòng trở nên thanh thoát và tinh gọn hơn bao giờ hết. Ngày nay phong cách tối giản đã được đa dạng hoá với các gam màu phù hợp với màu sắc thương hiệu.</p>
        <h5 class="mt-5 text-left" style="color: rgb(218 180 39);">PHONG CÁCH HIỆN ĐẠI:</h5>
        <p class="mb-2">Ra đời tại Châu Âu, phong cách hiện đại mang màu sắc mới, hơi thở của sự phóng khoáng, tiện nghi cùng nét sang trọng cấu thành. Đây là phong cách được ưa chuộng nhất thế giới bởi vẻ đẹp mỹ miều mà nó đem lại. Trong nội thất văn phòng, phong cách hiện đại mang hơi thở mới cho văn phòng trở nên thanh lịch và trang trọng cùng với sự tiện nghi của thời đại.</p>
      </div>
    </div>
  </div>

  <!-- 5. Contact us -->
  <div class="container paddding-navbar" id="contact-us">
    <h1 class="title-text-color text-center mt-5" style="font-family: Courier New;"><b>LIÊN HỆ VỚI CHÚNG TÔI</b></h1>
    <div class="row">
      <div class="col-sm-6">
        <div class="map" >
          <figure class="map">
            <iframe src="https://maps.googleapis.com/maps/embed?pb=!1m18!1m12!1m3!1d3919.2128415197762!2d106.71968101395133!3d10.795004161804393!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x317527c2f8f30911%3A0x36ac5073f8c91acd!2sLandmark%2081!5e0!3m2!1svi!2s!4v1663340781914!5m2!1svi!2s" width="100%" height="440" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
             </figure>
        </div>

      </div>
      <div class="col-sm-6">
        <div class="wrapper">
          <div class="title">
            <h2>Để lại thông tin để nhận được tư vấn ưu đãi</h2>
          </div>
          <div class="contact-form">
            <div class="input-fields">
              <input type="text" id="input-fullname" class="input" placeholder="Họ & Tên">
              <input type="text" id="input-email" class="input" placeholder="Email">
              <input type="text" id="input-phone"class="input" placeholder="Số điện thoại">
            </div>
            <div class="msg">
              <textarea  id="inp-contract-message" placeholder="Lời nhắn"></textarea>
              <div class="btn-send"><a id="btn-send-contact">Gửi thông tin</a></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-5 " id="footer-content">
    <div class="container text-dark" >
      <div class="row align-items-center">
        <div class="col-sm-4"><b>Copyright &copy; Website 2022</b></div>
        <div class="col-sm-4 my-3">
          <div class="row">
            <h5 class="mt-2 ml-3">Follow us:</h5>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-twitter"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-facebook-f"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="text-danger fa-brands fa-youtube"></i></a>
          </div>
        </div>
        <div class="col-sm-4 mt-2  contact-text bg-dark bg-text-footer">
          <div class="text-white" style="font-weight: bold;">
            <h4>Thông tin liên hệ</h4>
            <p>Địa chỉ : 208 Đ. Nguyễn Hữu Cảnh, Phường 22, Bình Thạnh, Thành phố Hồ Chí Minh<br>
              Hotline : 18001234<br>
              Mail : thanhlnd@gmail.com
            </p>
          
          </div>
        </div>
      </div>
    </div>
  </footer>




</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    //hiệu ứng main effect
    let c = 45;

    function draw() {
      document.documentElement.style.setProperty("--direction", c++ + "deg");
      requestAnimationFrame(draw);
    }

    requestAnimationFrame(draw);

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const token = getCookie("token");

    var gRealEstateId;

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-dp-upside").click(function () {
      $('html, body').animate({
        scrollTop: $("#dp-upside").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    $("#btn-update-cancel").on("click", function () {
      window.location.href = "index.html"
    });

    $("#btn-update-confirm").on("click", function () {
      onBtnUpdateConfirmClick();
    })

    // gán xự kiện khi ô select thay đổi
    $("#update-select-province").on("change", function () {
      $("#update-select-district").html("");
      var bProvinceId = $(this).val();
      callApiGetDistrictByProvinceId(bProvinceId);
    });

    // gán xự kiện khi ô select thay đổi
    $("#update-select-district").on("change", function () {
      $("#update-select-ward").html("");
      $("#update-select-street").html("");
      var bDistrictId = $(this).val();
      callApiGetWardByDistrictId(bDistrictId);
      callApiGetStreetByDistrictId(bDistrictId);
    });


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetAllCustomer();
      callApiGetAllProject();
      callApiGetUserIdByToken()
      callApiGetAllProvince();
      callApiGetAllEmployees();
      //tạo đối tượng url để truy vấn tham số 
      var vUrlObject = new URL(window.location.href);
      // đưa tham số customerId sang bằng query string
      var vRealEstateId = vUrlObject.searchParams.get("realEstateId");
      gRealEstateId = vRealEstateId;
      if (vRealEstateId != null) {
        callApiGetRealEstateDataById(vRealEstateId);
      } else {
        alert("Không có dữ liệu RealEstateId.");
        window.location.href = "realestate.html";
      }

    }

    // Hàm xử lý khi nút xác nhận tạo mới Real estate được nhấn
    function onBtnUpdateConfirmClick() {
      "use strict";
      var vUpdateData = {
        title: "",
        type: "",
        request: "",
        address: "",
        price: "",
        priceMin: "",
        priceTime: "",
        acreage: "",
        direction: "",
        totalFloors: "",
        numberFloors: "",
        bath: "",
        apartCode: "",
        wallArea: "",
        bedroom: "",
        balcony: "",
        landscapeView: "",
        apartLoca: "",
        apartType: "",
        furnitureType: "",
        priceRent: "",
        returnRate: "",
        legalDoc: "",
        description: "",
        widthY: "",
        longX: "",
        streetHouse: "",
        fsbo: "",
        viewNum: "",
        updateBy: "",
        shape: "",
        distance2facade: "",
        adjacent_facade_num: "",
        adjacentRoad: "",
        alley_min_width: "",
        adjacent_alley_min_width: "",
        factor: "",
        structure: "",
        dtsxd: "",
        clcl: "",
        ctxd_price: "",
        ctxd_value: "",
        photo: "",
        lat: "",
        lng: "",
        status: "",
      }
      // B1: Thu thập dữ liệu
      var vProvinceValue = $("#update-select-province").val();
      var vDistrictValue = $("#update-select-district").val();
      var vWardValue = $("#update-select-ward").val();
      var vStreetValue = $("#update-select-street").val();
      var vCustomerValue = $("#update-select-customer").val();
      var vProjectValue = $("#update-select-project").val();
      var vEmployeeValue = $("#update-select-employee").val();
      getUpdateData(vUpdateData);
      // B2: Kiểm tra dữ liệu
      var isValidate = validateUpdateData(vUpdateData, vEmployeeValue);
      if (isValidate == true) {
        // B3: xử lý hiển thị dữ liệu
        callApiUpdateRealEstate(vUpdateData, vProvinceValue, vDistrictValue, vWardValue, vStreetValue, vCustomerValue, vProjectValue, vEmployeeValue);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
    // call api tạo mới thông tin BDS
    function callApiUpdateRealEstate(paramupdateData, paramProvince, paramDistrict, paramWard, paramStreet, paramCustomer, paramProject, paramEmployee) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + gRealEstateId + "/" + paramProvince + "/" + paramDistrict + "/" + paramWard + "/" + paramStreet + "/" + paramProject + "/" + paramCustomer + "/" + paramEmployee,
        method: "PUT",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramupdateData),
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          window.location.href = "index.html";
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Cập nhật thông tin BĐS không thành công.");
        }
      });
    }

    // Hàm gọi api lấy tất cả customer
    function callApiGetAllCustomer() {
      $.ajax({
        url: "http://localhost:8080/customers",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToCustomerSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả employee
    function callApiGetAllEmployees() {
      $.ajax({
        url: "http://localhost:8080/employees",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToEmployeeSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả project
    function callApiGetAllProject() {
      $.ajax({
        url: "http://localhost:8080/projects",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProjectSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api tất cả tỉnh thành
    function callApiGetAllProvince() {
      $.ajax({
        url: "http://localhost:8080/provinces",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProvinceSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu district bằng province id
    function callApiGetDistrictByProvinceId(paramProvinceId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/districts/province/" + paramProvinceId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToDistrictSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu ward bằng district id
    function callApiGetWardByDistrictId(paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/wards/district/" + paramDistrictId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToWardSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu street bằng distirct id
    function callApiGetStreetByDistrictId(paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/streets/district/" + paramDistrictId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToStreetSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }


    // Hàm gọi api lấy dữ liệu project bằng id
    function callApiGetRealEstateDataById(paramRealEstateId) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataOnForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Load dữ liệu vào ô select customer
    function loadDataToCustomerSelect(paramResponse) {
      "use strict";
      var vCustomerSelect = $("#update-select-customer");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].contactName);
        vCustomerSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select employee
    function loadDataToEmployeeSelect(paramResponse) {
      "use strict";
      var vEmployeeSelect = $("#update-select-employee");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].employeeID);
        bOption.prop("text", paramResponse[i].firstName + " " + paramResponse[i].lastName);
        vEmployeeSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select project
    function loadDataToProjectSelect(paramResponse) {
      "use strict";
      var vProjectSelect = $("#update-select-project");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].name);
        vProjectSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select province
    function loadDataToProvinceSelect(paramResponse) {
      "use strict";
      var vModalProvinceSelect = $("#update-select-province");
      for (let i = 0; i < paramResponse.length; i++) {
        var bProvinceOption = $("<option/>");
        bProvinceOption.prop("value", paramResponse[i].id);
        bProvinceOption.prop("text", paramResponse[i].name);
        vModalProvinceSelect.append(bProvinceOption);
      };
    }

    // Load dữ liệu phản hồi vào ô select district
    function loadDataToDistrictSelect(paramResponse) {
      "use strict";
      var vDistrictSelectElement = $("#update-select-district");
      if (paramResponse.length > 0) {
        vDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResponse.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResponse[i].id);
          bDistrictOption.prop("text", paramResponse[i].name);
          vDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        vDistrictSelectElement.prop("disabled", true);
      }
    }

    // Load dữ liệu phản hồi vào ô select ward
    function loadDataToWardSelect(paramResponse) {
      "use strict";
      var vWardSelectElement = $("#update-select-ward");
      if (paramResponse.length > 0) {
        vWardSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResponse.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResponse[i].id);
          bDistrictOption.prop("text", paramResponse[i].name);
          vWardSelectElement.append(bDistrictOption);
        };
      } else {
        vWardSelectElement.prop("disabled", true);
      }
    }

    // Load dữ liệu phản hồi vào ô select street
    function loadDataToStreetSelect(paramResponse) {
      "use strict";
      var vStreetSelectElement = $("#update-select-street");
      if (paramResponse.length > 0) {
        vStreetSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResponse.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResponse[i].id);
          bDistrictOption.prop("text", paramResponse[i].name);
          vStreetSelectElement.append(bDistrictOption);
        };
      } else {
        vStreetSelectElement.prop("disabled", true);
      }
    }

    function getUpdateData(paramUpdateData) {
      paramUpdateData.title = $("#update-input-title").val().trim();
      paramUpdateData.type = $("#update-select-type").val();
      paramUpdateData.request = $("#update-select-request").val().trim();
      paramUpdateData.address = $("#update-input-address").val().trim();
      paramUpdateData.price = $("#update-input-price").val().trim();
      paramUpdateData.priceMin = $("#update-input-priceMin").val().trim();
      paramUpdateData.priceTime = $("#update-input-priceTime").val().trim();
      paramUpdateData.acreage = $("#update-input-acreage").val().trim();
      paramUpdateData.direction = $("#update-input-direction").val().trim();
      paramUpdateData.totalFloors = $("#update-input-totalFloors").val().trim();

      paramUpdateData.numberFloors = $("#update-input-numberFloors").val().trim();
      paramUpdateData.apartCode = $("#update-input-apartCode").val().trim();
      paramUpdateData.wallArea = $("#update-input-wallArea").val().trim();
      paramUpdateData.bedroom = $("#update-input-bedroom").val().trim();
      paramUpdateData.bath = $("#update-input-bath").val().trim();
      paramUpdateData.balcony = $("#update-input-balcony").val().trim();
      paramUpdateData.landscapeView = $("#update-input-landscapeView").val().trim();
      paramUpdateData.apartLoca = $("#update-input-apartLoca").val().trim();
      paramUpdateData.apartType = $("#update-input-apartType").val().trim();
      paramUpdateData.furnitureType = $("#update-input-furnitureType").val().trim();
      paramUpdateData.priceRent = $("#update-input-priceRent").val().trim();

      paramUpdateData.returnRate = $("#update-input-returnRate").val().trim();
      paramUpdateData.legalDoc = $("#update-input-legalDoc").val().trim();
      paramUpdateData.description = $("#update-input-description").val().trim();
      paramUpdateData.widthY = $("#update-input-widthY").val().trim();
      paramUpdateData.longX = $("#update-input-longX").val().trim();
      paramUpdateData.streetHouse = $("#update-input-streetHouse").val().trim();
      paramUpdateData.fsbo = $("#update-input-fsbo").val().trim();
      paramUpdateData.viewNum = $("#update-input-viewNum").val().trim();
      paramUpdateData.updateBy = $("#update-input-updateBy").val().trim();

      paramUpdateData.shape = $("#update-input-shape").val().trim();
      paramUpdateData.distance2facade = $("#update-input-distance2facade").val().trim();
      paramUpdateData.adjacent_facade_num = $("#update-input-adjacent_facade_num").val().trim();
      paramUpdateData.adjacentRoad = $("#update-input-adjacentRoad").val().trim();
      paramUpdateData.alley_min_width = $("#update-input-alley_min_width").val().trim();
      paramUpdateData.adjacent_alley_min_width = $("#update-input-adjacent_alley_min_width").val().trim();
      paramUpdateData.factor = $("#update-input-factor").val().trim();
      paramUpdateData.structure = $("#update-input-structure").val().trim();
      paramUpdateData.dtsxd = $("#update-input-dtsxd").val().trim();
      paramUpdateData.clcl = $("#update-input-clcl").val().trim();
      paramUpdateData.ctxd_price = $("#update-input-ctxd_price").val().trim();

      paramUpdateData.ctxd_value = $("#update-input-ctxd_value").val().trim();
      let textImg = $("#update-input-photo").val();
      paramUpdateData.photo = "images/projects/" + textImg.substring(textImg.lastIndexOf("\\") + 1, textImg.length);
      paramUpdateData.lat = $("#update-input-lat").val().trim();
      paramUpdateData.lng = $("#update-input-lng").val().trim();
      paramUpdateData.status = $("#update-select-status").val();
    }

    function validateUpdateData(paramUpdateData, paramEmployee) {
      "use strict";
      if (paramUpdateData.address == "") {
        alertError("Địa chỉ không được để trống");
        return false;
      }
      if (paramEmployee == 0) {
        alertError("Nhân viên phải được chọn.");
        return false;
      }
      return true;
    }

    function loadDataOnForm(paramRealEstate) {
      $("#update-select-project").val(paramRealEstate.project.id);
      $("#update-select-employee").val(paramRealEstate.employee.employeeID);

      $("#update-input-title").val(paramRealEstate.title);
      $("#update-select-type").val(paramRealEstate.type);
      $("#update-select-request").val(paramRealEstate.request);
      $("#update-input-address").val(paramRealEstate.address);
      $("#update-input-price").val(paramRealEstate.price);
      $("#update-input-priceMin").val(paramRealEstate.priceMin);
      $("#update-input-priceTime").val(paramRealEstate.priceTime);
      $("#update-input-acreage").val(paramRealEstate.acreage);
      $("#update-input-direction").val(paramRealEstate.direction);
      $("#update-input-totalFloors").val(paramRealEstate.totalFloors);

      $("#update-input-numberFloors").val(paramRealEstate.numberFloors);
      $("#update-input-bath").val(paramRealEstate.bath);
      $("#update-input-apartCode").val(paramRealEstate.apartCode);
      $("#update-input-wallArea").val(paramRealEstate.wallArea);
      $("#update-input-bedroom").val(paramRealEstate.bedroom);
      $("#update-input-balcony").val(paramRealEstate.balcony);
      $("#update-input-landscapeView").val(paramRealEstate.landscapeView);
      $("#update-input-apartLoca").val(paramRealEstate.apartLoca);
      $("#update-input-apartType").val(paramRealEstate.apartType);
      $("#update-input-furnitureType").val(paramRealEstate.furnitureType);
      $("#update-input-priceRent").val(paramRealEstate.priceRent);

      $("#update-input-returnRate").val(paramRealEstate.returnRate);
      $("#update-input-legalDoc").val(paramRealEstate.legalDoc);
      $("#update-input-description").val(paramRealEstate.description);
      $("#update-input-widthY").val(paramRealEstate.widthY);
      $("#update-input-longX").val(paramRealEstate.longX);
      $("#update-input-streetHouse").val(paramRealEstate.streetHouse);
      $("#update-input-fsbo").val(paramRealEstate.fsbo);
      $("#update-input-viewNum").val(paramRealEstate.viewNum);
      $("#update-input-updateBy").val(paramRealEstate.updateBy);

      $("#update-input-shape").val(paramRealEstate.shape);
      $("#update-input-distance2facade").val(paramRealEstate.distance2facade);
      $("#update-input-adjacent_facade_num").val(paramRealEstate.adjacent_facade_num);
      $("#update-input-adjacentRoad").val(paramRealEstate.adjacentRoad);
      $("#update-input-alley_min_width").val(paramRealEstate.alley_min_width);
      $("#update-input-adjacent_alley_min_width").val(paramRealEstate.adjacent_alley_min_width);
      $("#update-input-factor").val(paramRealEstate.factor);
      $("#update-input-structure").val(paramRealEstate.structure);
      $("#update-input-dtsxd").val(paramRealEstate.dtsxd);
      $("#update-input-clcl").val(paramRealEstate.clcl);
      $("#update-input-ctxd_price").val(paramRealEstate.ctxd_price);

      $("#update-input-ctxd_value").val(paramRealEstate.ctxd_value);
      $("#update-input-lat").val(paramRealEstate.lat);
      $("#update-input-lng").val(paramRealEstate.lng);
    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    // Hàm alert lỗi
    function alertError(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'error',
          title: paramTitle,
        })
      });
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          gUserId = responseObject;
          callApiGetEmployeeByID(responseObject);
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

    // Hàm gọi api lấy dữ liệu employee bằng id
    function callApiGetEmployeeByID(paramEmployeeId) {
      $.ajax({
        url: "http://localhost:8080/employees/" + paramEmployeeId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          console.log(paramResponseObj);
          handlerUserDataResponse(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function handlerUserDataResponse(paramUserData) {
      $("#ten-dang-nhap").html(paramUserData.username);
    }

  });
</script>

</html>